package org.jboss.test.util.service;

import java.net.URL;
import javax.management.ObjectName;
import org.jboss.deployment.DeploymentException;

/**
 * @author Scott.Stark@jboss.org
 * @version $Revision: 1.1.2.1 $
 */
public interface RedeployServiceMBean
{
   public void start() throws Exception;
   public void stop() throws Exception;
   public void redeploy(ObjectName targetService, URL descriptorURL)
      throws DeploymentException;
}
